import request from '@/utils/request'

// 查询维修记录列表
export function listVehile_repair_records(query) {
  return request({
    url: '/md/vehile_repair_records/list',
    method: 'get',
    params: query
  })
}

// 查询维修记录详细
export function getVehile_repair_records(id) {
  return request({
    url: '/md/vehile_repair_records/' + id,
    method: 'get'
  })
}

// 新增维修记录
export function addVehile_repair_records(data) {
  return request({
    url: '/md/vehile_repair_records',
    method: 'post',
    data: data
  })
}

// 修改维修记录
export function updateVehile_repair_records(data) {
  return request({
    url: '/md/vehile_repair_records',
    method: 'put',
    data: data
  })
}

// 删除维修记录
export function delVehile_repair_records(id) {
  return request({
    url: '/md/vehile_repair_records/' + id,
    method: 'delete'
  })
}
